Loading...
Searching...
No Matches
ojph::message_error Class Reference

Derived from message_base to handle error messages. More...

`#include <ojph_message.h>`

Inheritance diagram for ojph::message_error:

## Public Member Functions

virtual void | operator() (int warn_code, const char *file_name, int line_num, const char *fmt,...)
| See the base message_base::operator() for details about parameters.

## Detailed Description

Derived from message_base to handle error messages.

Definition at line 211 of file ojph_message.h.

## Member Function Documentation

## operator()()

void ojph::message_error::operator() | ( | int | warn_code,
|  | const char * | file_name,
|  | int | line_num,
|  | const char * | fmt,
|  |  | ... )

virtual

See the base message_base::operator() for details about parameters.

Implements ojph::message_base.

Definition at line 156 of file ojph_message.cpp.

References ojph::error_stream, ojph::message_level, and ojph::OJPH_MSG_ERROR.

The documentation for this class was generated from the following files:

- /build/openjph-ErJ8t3/openjph-0.26.0/src/core/openjph/ojph_message.h
- /build/openjph-ErJ8t3/openjph-0.26.0/src/core/others/ojph_message.cpp